package com.realnet.basicp1.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basicp1.Entity.Advtest2;
import com.realnet.basicp1.Services.Advtest2Service ;












@RequestMapping(value = "/token/Advtest2")
 @CrossOrigin("*") 
@RestController
public class tokenFree_Advtest2Controller {
	@Autowired
	private Advtest2Service Service;

@Value("${projectPath}")
	private String projectPath;
 












	@PostMapping("/Advtest2")
		  public Advtest2 Savedata(@RequestBody Advtest2 data) {
		Advtest2 save = Service.Savedata(data)	;











		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Advtest2/{id}")
	public  Advtest2 update(@RequestBody Advtest2 data,@PathVariable Integer id ) {
		Advtest2 update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Advtest2/getall/page")
	public Page<Advtest2> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Advtest2> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Advtest2")
	public List<Advtest2> getdetails() {
		 List<Advtest2> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Advtest2")
	public List<Advtest2> getallwioutsec() {
		 List<Advtest2> get = Service.getdetails();		
		return get;
}
@GetMapping("/Advtest2/{id}")
	public  Advtest2  getdetailsbyId(@PathVariable Integer id ) {
		Advtest2  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Advtest2/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}













}